Subject: Re: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jun 2010 23:55:00 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Wed, 30 Jun 2010 20:13:42 +0200
> Cc: [email-masked], [email-masked]
> 
> On Wed, Jun 30, 2010 at 7:31 PM, Eli Zaretskii <[email-masked]> wrote:
> >> From: Lennart Borgman <[email-masked]>
> >> Date: Wed, 30 Jun 2010 13:45:56 +0200
> >> Cc: [email-masked]
> >>
> >> OK, thanks. The default for ispell-alternate-dictionary is not a full
> >> path on w32 so that is a bug.
> >
> > How would you suggest to fix this "bug"?  I see only 2 possibilities
> > (besides leaving this as they are and letting w32 users customize the
> > value, as I did): either (a) signal an error, or (b) search the entire
> > hard disk storage for a file named `words'.
> 
> I would perhaps suggest leaving it as nil on w32. That would make it
> more clear that this is not a left over from unix systems, but rather
> something a user must setup on w32 systems to make it work.

Then you'd see

   Debugger entered--Lisp error: (wrong-type-argument stringp nil)

Is that really better?